from typing import (
    Optional,
)

from ._Configuration import Configuration
from ._FakeReader import FakeReader
from ._Group import Group
from ._Key import Key

fake_reader = None


# noinspection PyUnusedLocal
def read(
    file_or_path: str,
) -> Optional[FakeReader]:

    if fake_reader is not None:
        return fake_reader

    return FakeReader()
